libnvme(2)

NAME
enum nvme_id_ctrl_kpioc - Key Per I/O Capabilities

SYNOPSIS
enum nvme_id_ctrl_kpioc {
NVME_CTRL_KPIOC_KPIOS_SHIFT ,
NVME_CTRL_KPIOC_KPIOSC_SHIFT ,
NVME_CTRL_KPIOC_KPIOS_MASK ,
NVME_CTRL_KPIOC_KPIOSC_MASK

};

Constants

NVME_CTRL_KPIOC_KPIOS_SHIFT
    Shift amount to get the Key Per I/O Supported from the struct nvme_id_ctrl.kpioc field.

NVME_CTRL_KPIOC_KPIOSC_SHIFT
    Shift amount to get the Key Per I/O Scope from the struct nvme_id_ctrl.kpioc field.

NVME_CTRL_KPIOC_KPIOS_MASK
    Mask to get the Key Per I/O Supported from the struct nvme_id_ctrl.kpioc field.

NVME_CTRL_KPIOC_KPIOSC_MASK
    Mask to get the Key Per I/O Scope from the struct nvme_id_ctrl.kpioc field.